org.apache.ignite.internal.processors.rest.client.message

## Class GridClientHandshakeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientHandshakeRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientHandshakeRequest
    extends GridClientAbstractMessage

A client handshake request, containing version info and a marshaller ID. A handshake request structure is as follows:

1. Protocol version (2 bytes)
2. Marshaller ID (2 bits)
3. Reserved space (6 bits + 1 byte)
4. Marshaller ID for backward compatibility (1 byte)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientHandshakeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `marshallerId()`
`void` `marshallerId(byte marshId)`
`void` `putBytes(byte[] buf, int off, int len)` Sets bytes from specified buffer to a given value.
`byte[]` `rawBytes()`
`String` `toString()`
`short` `version()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, readExternal, requestId, requestId, sessionToken, sessionToken, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientHandshakeRequest

    public GridClientHandshakeRequest()

### Method Detail

#### version

    public short version()

Returns:
  Protocol version.

#### marshallerId

    public byte marshallerId()

Returns:
  Marshaller ID.

#### marshallerId

    public void marshallerId(byte marshId)

Parameters:
  `marshId` - Marshaller ID.

#### putBytes

    public void putBytes(byte[] buf,
                         int off,
                         int len)

Sets bytes from specified buffer to a given value.

Parameters:
  `buf` - Buffer.
  `off` - Offset.
  `len` - Length.

#### rawBytes

    public byte[] rawBytes()

Returns:
  Raw representation of this packet.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018